summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch')
-rw-r--r--meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch45
1 files changed, 0 insertions, 45 deletions
diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch b/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch
deleted file mode 100644
index 6c66902efe..0000000000
--- a/meta/recipes-devtools/opkg-utils/opkg-utils/opkg-build-Exit-when-fail-to-list-files.patch
+++ /dev/null
@@ -1,45 +0,0 @@
-We have an issue when ls segfaults in some cases [1] so it's
-better to detect the failure at this level instead of continue
-the build process.
-
-[YOCTO #8926]
-
-Upstream-Status: Submitted [2]
-
-[1] https://bugzilla.yoctoproject.org/show_bug.cgi?id=8926#c0
-[2] https://groups.google.com/forum/#!topic/opkg-devel/cmX02bgHZms
-
-Signed-off-by: Aníbal Limón <anibal.limon@linux.intel.com>
----
- opkg-build | 8 ++++++++
- 1 file changed, 8 insertions(+)
-
-diff --git a/opkg-build b/opkg-build
-index 98008b6..a9ccad2 100755
---- a/opkg-build
-+++ b/opkg-build
-@@ -53,6 +53,10 @@ pkg_appears_sane() {
- echo "*** Warning: The following files have names ending in '~'.
- You probably want to remove them: " >&2
- ls -ld $tilde_files
-+ if [ $? -ne 0 ]; then
-+ echo "*** Error: Fail to list files have names ending in '~'."
-+ exit 1
-+ fi
- echo >&2
- else
- echo "*** Removing the following files: $tilde_files"
-@@ -66,6 +70,10 @@ You probably want to remove them: " >&2
- echo "*** Warning: The following files have a UID greater than 99.
- You probably want to chown these to a system user: " >&2
- ls -ld $large_uid_files
-+ if [ $? -ne 0 ]; then
-+ echo "*** Error: Fail to list files have a UID greater than 99."
-+ exit 1
-+ fi
- echo >&2
- fi
-
---
-2.1.4
-